This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 885348 (ghc-stringsearch)

Summary: Review Request: ghc-stringsearch - Fast searching, splitting and replacing of ByteStrings
Product: [Fedora] Fedora Reporter: Ben Boeckel <mathstuf>
Component: Package ReviewAssignee: Narasimhan <lakshminaras2002>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: arangamani.kannan, haskell-devel, lakshminaras2002, notting, package-review
Target Milestone: ---Flags: lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-18 20:27:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 634048, 832656    

Description Ben Boeckel 2012-12-08 14:45:57 EST
Spec URL: http://benboeckel.net/packaging/ghc-stringsearch/ghc-stringsearch.spec
SRPM URL: http://benboeckel.net/packaging/ghc-stringsearch/ghc-stringsearch-0.3.6.4-1.fc19.src.rpm
Description:
This package provides several functions to quickly
search for substrings in strict or lazy ByteStrings.
It also provides functions for breaking or splitting
on substrings and replacing all occurrences of a
substring (the first in case of overlaps) with another.
GHC before 6.10 are no longer supported, other compilers
only if they support BangPatterns. If you need it to
work with other compilers, send a feature request.

Fedora Account System Username: mathstuf
Comment 1 Arangamanikkannan Manickam 2012-12-08 15:25:47 EST
The links provided don't work.
Comment 2 Ben Boeckel 2012-12-08 15:29:38 EST
DNS is still propogating most likely. (Internet was down for a while and things changed while that happened, so things were broken for a while; I'm slowly getting things back together as much as is possible.)
Comment 3 Narasimhan 2012-12-18 22:44:18 EST
Ben,
The links do not work. I am getting this error.
unable to resolve host address `benboeckel.net'
Comment 4 Ben Boeckel 2012-12-19 13:12:39 EST
Hrm...the DNS settings failed to apply; apparently linode's servers are down? I'll try to dig into this more tonight.
Comment 5 Narasimhan 2013-01-12 00:13:38 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-stringsearch-0.3.6.4-1.fc17.src.rpm ghc-stringsearch-0.3.6.4-1.fc17.x86_64.rpm ghc-stringsearch-devel-0.3.6.4-1.fc17.x86_64.rpm ../ghc-stringsearch.spec 
ghc-stringsearch.src: W: spelling-error %description -l en_US substrings -> sub strings, sub-strings, strings
The value of this tag appears to be misspelled. Please double-check.

ghc-stringsearch.src: W: spelling-error %description -l en_US substring -> sub string, sub-string, subsisting
The value of this tag appears to be misspelled. Please double-check.

ghc-stringsearch.src: W: no-version-in-last-changelog
The latest changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

ghc-stringsearch.src: W: strange-permission stringsearch-0.3.6.4.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-stringsearch.src: W: strange-permission ghc-stringsearch.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-stringsearch.x86_64: W: spelling-error %description -l en_US substrings -> sub strings, sub-strings, strings
The value of this tag appears to be misspelled. Please double-check.

ghc-stringsearch.x86_64: W: spelling-error %description -l en_US substring -> sub string, sub-string, subsisting
The value of this tag appears to be misspelled. Please double-check.

ghc-stringsearch.x86_64: W: no-version-in-last-changelog
The latest changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

ghc-stringsearch-devel.x86_64: W: spelling-error %description -l en_US substrings -> sub strings, sub-strings, strings
The value of this tag appears to be misspelled. Please double-check.

ghc-stringsearch-devel.x86_64: W: spelling-error %description -l en_US substring -> sub string, sub-string, subsisting
The value of this tag appears to be misspelled. Please double-check.

ghc-stringsearch-devel.x86_64: W: no-version-in-last-changelog
The latest changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

3 packages and 1 specfiles checked; 0 errors, 11 warnings.

Please fix changelog before importing the package.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum stringsearch-0.3.6.4.tar.gz 
2ba4faa9759037c622091625d1d6b04d4401472d79f023631d6f8d8e2ce8e099  stringsearch-0.3.6.4.tar.gz

sha256sum ghc-stringsearch-0.3.6.4-1.fc19.src/stringsearch-0.3.6.4.tar.gz 
2ba4faa9759037c622091625d1d6b04d4401472d79f023631d6f8d8e2ce8e099  ghc-stringsearch-0.3.6.4-1.fc19.src/stringsearch-0.3.6.4.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
ghc(stringsearch-0.3.6.4) = 4c6f0136bc74eea4f4a2642c37baea4d is needed by (installed) ghc-stringsearch-devel-0.3.6.4-1.fc17.x86_64
        ghc-stringsearch = 0.3.6.4-1.fc17 is needed by (installed) ghc-stringsearch-devel-0.3.6.4-1.fc17.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Installed the packages. Imported Data.ByteString.Lazy.Search into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal-rpm-diff is OK.

Please fix changelog before importing the package.

APPROVED.
Comment 6 Ben Boeckel 2013-01-24 00:04:44 EST
New Package SCM Request
=======================
Package Name: ghc-stringsearch
Short Description: Fast searching, splitting and replacing of ByteStrings
Owners: mathstuf
Branches: f17 f18
InitialCC: haskell-sig
Comment 7 Jon Ciesla 2013-01-24 08:28:52 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-02-06 03:26:06 EST
ghc-stringsearch-0.3.6.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-stringsearch-0.3.6.4-2.fc17
Comment 9 Fedora Update System 2013-02-06 03:26:45 EST
ghc-stringsearch-0.3.6.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-stringsearch-0.3.6.4-2.fc18
Comment 10 Fedora Update System 2013-02-07 21:15:02 EST
ghc-stringsearch-0.3.6.4-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-02-18 20:27:13 EST
ghc-stringsearch-0.3.6.4-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-02-18 20:27:44 EST
ghc-stringsearch-0.3.6.4-2.fc18 has been pushed to the Fedora 18 stable repository.